Self-serve contractor payments
Self Serve Create Payment Batch
Creates a DRAFT TokenPayroll batch with contributor and wallet-split rows from approved Toku-contractor crypto invoices.
POSThttps://api.toku.com/hris/self-serve-create-payment-batch
Not available to API keys yet. It will need payments:write.
curl --request POST \
--url 'https://api.toku.com/hris/self-serve-create-payment-batch' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"invoiceIDs": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"payDate": "2026-01-01T00:00:00Z",
"batchName": "string"
}'200 response
{
"payrollID": "string",
"batchName": "string",
"totalAmount": "string",
"currency": "string",
"contributorCount": 0,
"contributors": [
{
"roleInOrgID": "string",
"contractorName": "string",
"contractorEmail": "string",
"walletAddress": "string",
"chain": "string",
"amount": "string",
"currency": "string",
"invoiceID": "string",
"invoiceNumber": "string",
"walletSplits": [
{
"walletID": "string",
"label": "string",
"address": "string",
"chain": "string",
"percentage": "string",
"amount": "string"
}
]
}
],
"payDate": "string",
"state": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
invoiceIDsstring<uuid>[]requiredAllowed: at least 1 items
payDatestring<date-time>batchNamestringAllowed: at most 100 characters
Response
200Successful response
payrollIDstringrequiredbatchNamestringrequiredtotalAmountstringrequiredcurrencystringrequiredcontributorCountintegerrequiredcontributorsobject[]requiredShow child attributes
roleInOrgIDstringrequiredcontractorNamestringrequiredcontractorEmailstringrequiredwalletAddressstringrequiredchainstringrequiredamountstringrequiredcurrencystringrequiredinvoiceIDstringrequiredinvoiceNumberstringrequiredwalletSplitsobject[]requiredShow child attributes
walletIDstringrequiredlabelstringrequiredaddressstringrequiredchainstringrequiredpercentagestringrequiredamountstringrequiredpayDatestringrequiredstatestringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits